/*	Jeff DeMaagd
	6/21/1998 */

#include <stdio.h>
#include "../geom/geom.h"
#include "camprot.h"

/* function prototype */
int main (int argc, char *argv[]);





/***********************************************************************/



/***********************************************************************/
int main (int argc, char *argv[])
{
	// defaults if not overridden by command line.
	double part_clearance = 0.05;
	cam_coolant = MIST;
	cam_debug = NO;
	cam_verbose = NO;

/*	struct point p1; */
	
//	int looptest;

//	for (looptest = 1; looptest <= argc; looptest++)
//	{
//		if argv[looptest][1] = 'c') 
//		if argv[looptest][1] = 'd')	cam_debug = NO; 
//		if argv[looptest][1] = 'D')	cam_debug = YES;
//		if argv[looptest][1] = 'q')	cam_verbose = NO; 
//		if argv[looptest][1] = 'v')	cam_verbose = YES;
//	}


	cam_debug = NO;				// reduces file size
        file_in = fopen(argv[1],"r");
        if (file_in != NULL)	{
	        file_out = fopen(argv[2],"w");
	}

//	if (cam_verbose == YES)	{	
		printf ("\n    Jeff DeMaagd Command Line Utilities, (c) 1998\n");
		printf ("\tInput file:\t%s\tOutput file:\t%s\n\n", argv[1], argv[2]);
//	}

        if ((file_in == NULL) || (file_out == NULL ))
        {
		/* I realize this is redundant to cammain.c, 
		but I am playing it safe here. */

                if (file_in == NULL)
                {
                        printf ("Error opening input file.\n");
                }
                if (file_out == NULL)
                {
                        printf ("Error opening output file.\n");
                }
        }
	else
	{
		printf ("Testing");		/* test program output */
		start_program (INCH, part_clearance);
		tool_change (2);
		spindle (CW, 5000);
		feed (10);
		coolant (cam_coolant);
		read_dxf (part_clearance);
//		end_program_machine_on ();
		end_program ();
                fclose (file_in);
                fclose (file_out);

	}	

	return (0);
}

/*	printf ("\n\tHello World, cam project speaking.\n");
	print_point (p1);	test to see if libgeom.a linked properly 
	print_triangle (t1);
	new_line (); */

/*	go_to_point (rapid, XY, p1); 
	cut_line (ls1, part_clearance, ramp);
	cut_3D_triangle (t1, 0.25, 0.125, uncompensated);	*/


