/* Jeff DeMaagd
	07/20/1998 */

/* miscellaneous functions */

#include <stdio.h>
#include "../geom/geom.h"
#include "camprot.h"

/**********************************************************************/
void loc_x (double pos)
{
	fprintf (file_out, "X%f ", pos);
}

/**********************************************************************/
void loc_y (double pos)
{
	fprintf (file_out, "Y%f ", pos);
}

/**********************************************************************/
void loc_z (double pos)
{
	fprintf (file_out, "Z%.4f ", pos);
}

/**********************************************************************/
void spindle_speed (double speed)
{
	fprintf (file_out, "S.4%f ", speed);
}

/**********************************************************************/
void feed (double speed)
{
	fprintf (file_out, "F%.4f ", speed);
}

/**********************************************************************/
void angle (double degrees)
{
	fprintf (file_out, "AB%f ", degrees);
}

/**********************************************************************/
void radius (double distance)
{
	fprintf (file_out, "R%f ", distance);
}

/**********************************************************************/
void arc_cen_x (double pos)
{
	fprintf (file_out, "I%f ", pos);
}

/**********************************************************************/
void arc_cen_y (double pos)
{
	fprintf (file_out, "J%f ", pos);
}

/**********************************************************************/
void arc_cen_z (double pos)
{
	fprintf (file_out, "K%f ", pos);
}

/***********************************************************************/
void new_line (void)
/* enters a new line into the file */
{
	fprintf (file_out, "\n");
}

/***********************************************************************/
void parm_set (unsigned short int parm_num, double parm_val)
{
	fprintf (file_out, "P%d = %.4f", parm_num, parm_val);
/*      if (cam_debug == yes)	
        {
                fprintf (file_out, " (Rapid move) ");
        }	*/
	fprintf (file_out, "\n");
	return;
}

